import { r as registerInstance, c as createEvent } from './index-0b18a276.js';

const DrawerListItem = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.pressEvent = createEvent(this, "press", 7);
    }
    /** Trigger a press event */
    async TriggerPress(e) {
        this.pressEvent.emit(e);
    }
    render() {
        return;
    }
    static get style() { return "drawer-list-item{}"; }
};

export { DrawerListItem as materials_drawer_list_item };
